declare enum LogType {
    T101 = "101",
    T102 = "102",
    T103 = "103",
    T104 = "104",
    T105 = "105"
}
interface IInitConfig {
    openId: string;
    contentId: string;
    clientHeight: number;
    sessionId?: string;
}

interface ILogConfig {
    deviceId: string;
    contentId: string;
    sessionId: string;
    tenantId: string;
}
declare abstract class Log {
    protected logConfig: ILogConfig;
    protected startTime: number;
    protected postlossed: boolean;
    protected isScrollBottom: boolean;
    constructor(config: IInitConfig);
    private getLogConfig;
    protected send(type: LogType, metadata?: any): void;
    protected sendContentUseful(): void;
    abstract event_page_pv(): void;
    abstract event_page_access_time(timeout?: number): void;
    abstract event_page_hotaccess_time(scrollHeight: number, clientHeight: number, scrollTop: number): void;
    abstract event_page_loss_access(): void;
    abstract event_page_send_position(scrollHeight: number, clientHeight: number, scrollTop: number): void;
}

declare class Log$1 extends Log {
    private heatmap?;
    private accesstime?;
    private scrollTimestamp;
    private maxScrollPercent;
    private clientHeight;
    constructor(config: IInitConfig);
    event_page_pv(): void;
    event_page_access_time(timeout?: number): void;
    event_page_hotaccess_time(scrollHeight: number, scrollTop: number): void;
    event_page_loss_access(): void;
    event_page_hide(): void;
    event_page_show(): void;
    event_page_send_position(scrollHeight: number, scrollTop: number): void;
    event_page_unload(): void;
    event_page_useful(): void;
}

declare const _default: {
    Log: typeof Log$1;
};

export default _default;
